## audacity 3.2.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # AUDACITY_BUILD_LEVEL to 0
 set( AUDACITY_VERSION 3 )
 set( AUDACITY_RELEASE 2 )
-set( AUDACITY_REVISION 0 )
+set( AUDACITY_REVISION 1 )
 set( AUDACITY_MODLEVEL 0 )
 
 string( TIMESTAMP __TDATE__ "%Y%m%d" )
