=== debian/changelog ===
audacity (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg
  * Prefer libjack-dev over libjack-jackd2-dev
  * Update my email address

 -- Dennis Braun <snd@debian.org>  Sun, 04 Dec 2022 14:16:41 +0100
