=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Benjamin Drung <bdrung@debian.org>,
            David Henningsson <diwic@ubuntu.com>,
            Jaromír Mikeš <mira.mikes@seznam.cz>,
-           Dennis Braun <d_braun@kabelmail.de>
+           Dennis Braun <snd@debian.org>
 Standards-Version: 4.6.1
 Build-Depends: cmake (>= 3.15),
                debhelper-compat (= 13),
@@ -21,7 +21,7 @@
                libgtk-3-dev,
                libgtk-3-dev:native,
                libid3tag0-dev (>= 0.15.1b),
-               libjack-jackd2-dev,
+               libjack-dev | libjack-jackd2-dev,
                liblilv-dev,
                libmp3lame-dev (>= 3.100-5~),
                libmp3lame-dev:native,
