## audacity 3.2.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # AUDACITY_BUILD_LEVEL to 0
 set( AUDACITY_VERSION 3 )
 set( AUDACITY_RELEASE 2 )
-set( AUDACITY_REVISION 1 )
+set( AUDACITY_REVISION 2 )
 set( AUDACITY_MODLEVEL 0 )
 
 string( TIMESTAMP __TDATE__ "%Y%m%d" )
@@ -155,6 +155,20 @@
 
 # Our very own project
 project( Audacity )
+
+# XCode 14 no longer allows building unsigned binaries.
+# So for the XCode 14 `-` is passed as the code sign identity, which stands for
+# local signing. `--deep` is passed, because 3d party libraries are copied unsigned.
+# XCODE_VERSION is defined only after the project() command
+
+if( APPLE )
+   if (XCODE_VERSION VERSION_LESS 14)
+      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "" CACHE INTERNAL "" )
+   else()
+      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "-" CACHE INTERNAL "" )
+      set( CMAKE_XCODE_ATTRIBUTE_OTHER_CODE_SIGN_FLAGS "--deep" CACHE INTERNAL "")
+   endif()
+endif()
 
 # Load our functions/macros
 include( AudacityFunctions )
@@ -369,18 +383,3 @@
    include( InstallRequiredSystemLibraries )
 endif()
 
-# Where the final product is stored
-set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin )
-
-set ( _SHARED_PROXY_BASE "shared" )
-set ( _SHARED_PROXY_BASE_PATH "${CMAKE_BINARY_DIR}/${_SHARED_PROXY_BASE}")
-
-# Define the non-install and executable paths
-if( CMAKE_CONFIGURATION_TYPES )
-   set( _DESTDIR "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}" )
-   set( _SHARED_PROXY_PATH "${_SHARED_PROXY_BASE_PATH}/${CMAKE_CFG_INTDIR}")
-else()
-   set( _DESTDIR "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_BUILD_TYPE}" )
-   set( _SHARED_PROXY_PATH "${_SHARED_PROXY_BASE_PATH}/${CMAKE_BUILD_TYPE}")
-endif()
-
