=== debian/changelog ===
audacity (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.2+dfsg
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Mon, 19 Dec 2022 22:40:08 +0100
