=== debian/changelog ===
audacity (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.3+dfsg
  * Refresh patchset
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:43:56 +0100
